C04.5 - Attachment J-5 - Corporate Experience Data Sheet.pdf

PDF 121 KB Posted

Attached to
Caisson 1 - Maintenance, Repair, and Preservation
Solicitation number
N4523A22R1050
Issued by

About this file

This document provides details for a federal solicitation seeking maintenance, repair, and preservation services for a naval vessel. The solicitation seeks a firm-fixed price contract to accomplish work on the Caisson One, including docking and undocking the vessel, hull preservation and repairs, tank cleaning and inspection, valve and pump replacements, non-skid application, and operational testing. The work is to be performed at the contractor's ship repair facility located in the Puget Sound, Washington region. The period of performance is from June 28, 2022 to December 12, 2022. The solicitation will utilize full and open competition under NAICS code 336611 with an anticipated award date in late May 2022 to the responsible contractor offering the lowest price and technically acceptable proposal.

View the file

Other files

File Type Posted
C09.0 Government Response to RFC 013 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 012 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0006- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Responses to RFC 009-011 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 008 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0005- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Attachment J-2 - Caisson 1 Price Proposal Worksheet Updated 15MAR2022.xls XLS spreadsheet
C09.0 Attachment J-1 Errata 2 Caisson 1 SOW 15MAR2022.pdf PDF
C09.0 Amendment 0004 N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 007 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0003 N4523A22R1050 Caisson 1.pdf PDF
C09.0 Attachment J-2 - Caisson 1 Price Proposal Worksheet Updated 09MAR2022.xls XLS spreadsheet
C09.0 Government Response to RFC 006 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0002- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Government Response to RFC 005 N4523AR221050 Caisson 1.pdf PDF
C09.0 Government Responses to RFC 003-004 N4523AR221050 Caisson 1.pdf PDF
C09.0 Amendment 0001- N4523A22R1050 Caisson 1.pdf PDF
C09.0 Updated Attachment J-4 CONTRACT PERFORMANCE DATA SHEET 15FEB2022.docx DOCX document
C09.0 Attachment J-1 Errata 1 Caisson 1 SOW 15FEB2022.pdf PDF
C09.0 Government Responses to RFC 002 N4523AR221050 Caisson 1.pdf PDF
RFC 0001 - Caisson 1 RFC Form N4523A22R1050 ANS.pdf PDF
C04.0 - N4523A22R1050 Caisson One Solicitation.pdf PDF
C04.7 - Attachment J-7 - Growth Management Request Form.docx DOCX document
C04.12 - Exhibit A - 33 CDRLs.pdf PDF
C04.3 - Attachment J-3 - Caisson 1 RFC Form N4523A22R1050.docx DOCX document
C04.11 - Attachment J-11 Facility Access Addendum 10Jan2022.pdf PDF
C04.1 - Attachment J-1 - Caisson 1 Statement of Work.pdf PDF
C04.9 - Attachment J-9 - 042-10 -001 Declining Log.xlsx XLSX spreadsheet
C04.10 - Attachment J-10 - Contractor Badging and Access Requirements.docx DOCX document
C04.4 - Attachment J-4 - Corporate Performance Data Sheet.pdf PDF
C04.2 - Attachment J-2 - Caisson 1 Price Proposal Worksheet.xls XLS spreadsheet
C04.12 - Exhibit A - 33 DIDs Portfolio.pdf PDF
C04.13 - Exhibit B - GFP Attachment.pdf PDF
C04.8 - Attachment J-8 - Growth Management Program Tracking Log.xlsx XLSX spreadsheet
Show all 34

On GovTribe

Work with this file

  • Download the original file
  • Contacts named in this file
  • Similar government files
  • Ask GovTribe AI about this file

Text version

CORPORATE EXPERIENCE DATA SHEET

Caisson One - N4523A22R1050

Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number: Date Completed:

Contract Type: FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address: Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine vessel repair (preservation, welding, electrical, and mechanical repair) services of the complexity similar to or exceeding the scope identified in Attachment J-1 (Work Items):

NARRATIVE(Continued):

Caisson One - N4523A22R1050

Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number: Date Completed:

Contract Type: FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address: Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine vessel repair (preservation, welding, electrical, and mechanical repair) services of the complexity similar to or exceeding the scope identified in Attachment J-1

Caisson One - N4523A22R1050

Attachment J-5

CONTRACTOR NAME____________________________________________________

Contract Number: Date Completed:

Contract Type: FFP_____ Cost Reimbursement ____ Other (Specify) ___________

Item/Service Description:

Contract Quantity/Period of Performance:

Customer Name:

Customer POC (Person who can verify data; Name/Title/Phone #/Email)

Address: Telephone:

Email:

NARRATIVE- Demonstrate specific experience providing marine vessel repair (preservation, welding, electrical, and mechanical repair) services of the complexity similar to or exceeding the scope identified in Attachment J-1

File details come from the government source that posted it. Updated .